[OSM-dev] type "four_byte_unsigned" does not exist

Dan Karran dan at karran.net
Wed May 27 10:15:41 BST 2009


Thanks for the help guys. I switched to MySQL in the end and got it
working that way, so that'll do me for now.


Cheers,
Dan

2009/5/26 Tom Hughes <tom at compton.nu>:
> Dan Karran wrote:
>>
>> Hi Jeff,
>>
>> 2009/5/26 Jeffrey Warren <warren at mit.edu>:
>>>
>>> I noticed that during db:migrate it doesn't pick up the /lib/migrate.rb
>>> type
>>> definitions... so I just changed it to :integer, :limit => 8, which is
>>> how
>>> four_byte_unsigned is defined in migrate.rb.
>>> I'm also setting up the rails port and am having trouble so if you want
>>> to
>>> compare notes I'd love to.
>>
>> Thanks, though it doesn't seem to get much further than that once I've
>> made the change, stopping after trying to remove the index points_idx.
>
> As far as I know the issue with the missing require is the only problem when
> using postgres, so if you're seeing anything else please tell us the actual
> error so we can diagnose the problem.
>
> Tom
>
> --
> Tom Hughes (tom at compton.nu)
> http://www.compton.nu/
>



-- 
Dan Karran
dan at karran.net
www.dankarran.com




More information about the dev mailing list